Cash Rewards
Manage and calculate reward configurations to incentivize your customers.
Configure Your Cash Reward
Cash rewards are set per brand in the Business Portal, so each brand can offer a different reward.
- Log in to the Business Portal and go to Settings → Brand settings.
- Select Edit next to the brand you want to configure.
- Open the Cash reward tab.
- Choose a Reward amount from the preset percentages, or select Enter a custom amount and enter your own.
- Choose how long rewards remain valid from the Expiration dropdown.
- Select Save changes.
Cash rewards are optionalIf you do not want to offer a cash reward, set the Custom reward amount to
0and select Save changes.
Generate a Reward Calculation
This endpoint calculates the reward percentage and issuable rewards based on the provided amount and brand ID.
Request Example
curl --location 'https://api.superpayments.com/2026-04-01/reward-calculations' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: YOUR_SECRET_KEY' \
--data '{
"brandId": YOUR_BRAND_ID,
"currency": "GBP",
"amount": 1000,
"externalReference": "Reward Calculation"
}'curl --location 'https://api.test.superpayments.com/2026-04-01/reward-calculations' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: YOUR_SECRET_KEY' \
--data '{
"brandId": YOUR_BRAND_ID,
"currency": "GBP",
"amount": 1000,
"externalReference": "Reward Calculation"
}'Response Example
200 Successfully Generated Reward Calculation
{
"id": "3de43e5d-4fdb-484d-81d2-da193b41234",
"rewardPercentage": 0,
"rewardsIssuable": {
"amount": 50,
"currency": "GBP"
}
}- Reward Calculation ID: The id returned is your reward calculation ID.
- Rewards Issuable: The value of the reward for a specific amount.
Get Reward Configuration
Retrieve the active configuration for a specific brand, including reward percentages and expiration using this endpoint.
Request Example
curl --location 'https://api.superpayments.com/2026-04-01//brands/YOUR_BRAND_ID/reward-configuration' \
--header 'Authorization: YOUR_SECRET_KEYcurl --location 'https://api.test.superpayments.com/2026-04-01//brands/YOUR_BRAND_ID/reward-configuration' \
--header 'Authorization: YOUR_SECRET_KEYResponse Example
200 Successful Retrieval of Reward Configuration
{
"minimumSpend": {
"amount": 0,
"currency": "GBP"
},
"rewardPercentage": 5,
"rewardsExpireAfter": 31557600
}- Reward Percentage: The percentage of the transaction value issued as a reward.
- Minimum Spend: The threshold required to trigger a reward.
- Expiration Time: How long the rewards remain valid for the brand.
Upsert Reward Configuration
Create or update the reward rules for a specific brand, including the reward percentage, minimum spend, and rewards expiration time using this endpoint.
Request Example
curl --location --request PUT 'https://api.superpayments.com/2026-04-01/brands/YOUR_BRAND_ID/reward-configuration' \
--header 'Authorization: sk_test_slW4ny3ac-I-X-73htZ8gShcYM6o4fBZpv5y5xSn' \
--header 'Content-Type: application/json' \
--data '{
"rewardPercentage":5,
"minimumSpend":{
"currency":"GBP",
"amount":1000
},
"rewardsExpireAfter":31536000
}'curl --location --request PUT 'https://api.test.superpayments.com/2026-04-01/brands/YOUR_BRAND_ID/reward-configuration' \
--header 'Authorization: sk_test_slW4ny3ac-I-X-73htZ8gShcYM6o4fBZpv5y5xSn' \
--header 'Content-Type: application/json' \
--data '{
"rewardPercentage":5,
"minimumSpend":{
"currency":"GBP",
"amount":1000
},
"rewardsExpireAfter":31536000
}'Response Example
200 Successful Upsert of Reward Configuration
{
"minimumSpend": {
"amount": 1000,
"currency": "GBP"
},
"rewardPercentage": 5,
"rewardsExpireAfter": 31536000
}Updated 9 days ago
Did this page help you?
